PeopleForce
Employees

List documents

GET
/api/public/v3/employees/{employee_id}/documents

Path Parameters

employee_id*integer
Formatint64

Query Parameters

created_at[gte]?integer

Unix epoch seconds

Formatint64
created_at[lte]?integer

Unix epoch seconds

Formatint64
document_folder_id?integer
Formatint64
page?integer

Which page of results to return. Defaults to 1.

Formatint32
Range1 <= value
updated_at[gte]?integer

Unix epoch seconds

Formatint64
updated_at[lte]?integer

Unix epoch seconds

Formatint64

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/public/v3/employees/0/documents"
{  "data": [    {      "id": 0,      "name": "string",      "type": "string",      "url": "string",      "expires_at": "2019-08-24T14:15:22Z",      "document_folder": {        "id": 0,        "name": "string",        "description": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "external_signature_id": "string",      "external_signature_document_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}